package org.apidesign.apifest08.currency;

/**
 * If something was wrong during converting currencies...
 * Eg. when the convertor is outdated
 * Should be a descendant of RuntimeException? Hmmms...
 * @author Ladislav Vitasek
 */
public class CannotConvertException extends RuntimeException {
    
    public CannotConvertException() {

    }

    public CannotConvertException(String message) {
        super(message);
    }

    public CannotConvertException(Throwable e) {
        super(e);
    }

    public CannotConvertException(String message, Throwable cause) {
        super(message, cause);
    }
}
